<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;


class ClienteSideMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        //dd("cai aqui");
        $dados=DB::table('users')
                        ->join('pessoas','pessoas.id','=','users.pessoa_id')
                        ->join('funcionarioclientes','funcionarioclientes.user_id','=','users.id')
                        ->join('clientes','clientes.id','=','funcionarioclientes.cliente_id')
                        ->where('users.id',Auth::user()->id)
                     ->select('funcionarioclientes.numeroFuncionariocliente')->get();
        if(!$dados->isEmpty())
        {
            return $next($request);
        }   

        abort(403,'Não tens Autorização Para aceder essa Página');
        return;
    }
}
